/// <reference types="node" resolution-mode="require"/>
declare const workerDeno_build: {
    os: string;
    arch: string;
};
declare const workerDeno_env: {
    get: (name: string) => void;
    set: (name: string, value: string) => void;
    toObject: () => {};
};
declare const workerDeno_inspect: (value: any) => string;
declare const workerDeno_args: any[];
declare const workerDeno_execPath: () => string;
declare const workerDeno_errors: {
    NotFound: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    PermissionDenied: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    ConnectionAborted: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    ConnectionReset: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    ConnectionRefused: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    NotConnected: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    AddrInUse: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    AddrNotAvailable: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    BrokenPipe: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    AlreadyExists: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    InvalidData: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    TimedOut: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    Interrupted: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    UnexpectedEof: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    WriteZero: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    BadResource: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    Http: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
    Busy: {
        new (message?: string): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        new (message?: string, options?: ErrorOptions): {
            name: string;
            message: string;
            stack?: string;
            cause?: Error;
        };
        captureStackTrace(targetObject: object, constructorOpt?: Function): void;
        prepareStackTrace?: (err: Error, stackTraces: NodeJS.CallSite[]) => any;
        stackTraceLimit: number;
    };
};
declare const workerDeno_stat: (...args: any[]) => Promise<{
    isFile: boolean;
}>;
declare const workerDeno_mainModule = "file:///cloudflare-worker.js";
declare const workerDeno_core: {
    setNextTickCallback: any;
    evalContext(_code: string, _filename: string): never;
    encode(chunk: string): Uint8Array;
};
declare const workerDeno_pid = 1;
declare const workerDeno_cwd: () => string;
declare const workerDeno_chdir: (...args: any[]) => void;
declare const workerDeno_chown: (...args: any[]) => Promise<void>;
declare const workerDeno_chmod: (...args: any[]) => Promise<void>;
declare const workerDeno_isatty: (...args: any[]) => boolean;
declare const workerDeno_version: {
    deno: string;
};
declare const workerDeno_memoryUsage: () => {
    external: number;
    heapTotal: number;
    heapUsed: number;
    rss: number;
};
declare const workerDeno_stdin: any;
declare const workerDeno_stdout: any;
declare const workerDeno_stderr: any;
export { workerDeno_build, workerDeno_env, workerDeno_inspect, workerDeno_args, workerDeno_execPath, workerDeno_stat, workerDeno_errors, workerDeno_mainModule, workerDeno_core, workerDeno_pid, workerDeno_cwd, workerDeno_chdir, workerDeno_version, workerDeno_isatty, workerDeno_memoryUsage, workerDeno_chown, workerDeno_chmod, workerDeno_stdin, workerDeno_stdout, workerDeno_stderr, };
