import { warnOrThrowIncompatible } from "../../../warn-or-throw-incompatible.js";
export const workerGlobal_process = {
    title: "cloudflare-worker",
    browser: true,
    env: {},
    argv: [],
    version: "",
    versions: {},
    on: (...args) => warnOrThrowIncompatible('process.on', args),
    addListener: (...args) => warnOrThrowIncompatible('process.addListener', args),
    once: (...args) => warnOrThrowIncompatible('process.once', args),
    off: (...args) => warnOrThrowIncompatible('process.off', args),
    removeListener: (...args) => warnOrThrowIncompatible('process.removeListener', args),
    removeAllListeners: (...args) => warnOrThrowIncompatible('process.removeAllListeners', args),
    emit: (...args) => warnOrThrowIncompatible('process.emit', args),
    prependListener: (...args) => warnOrThrowIncompatible('process.prependListener', args),
    prependOnceListener: (...args) => warnOrThrowIncompatible('process.prependOnceListener', args),
    eventNames: () => {
        warnOrThrowIncompatible('process.prependOnceListener');
        return [];
    },
    listeners: (...args) => {
        warnOrThrowIncompatible('process.listeners', args);
        return [];
    },
    binding: (...args) => warnOrThrowIncompatible('process.binding', args),
    cwd: () => {
        warnOrThrowIncompatible('process.cwd');
        return "/";
    },
    chdir: (...args) => warnOrThrowIncompatible('process.chdir', args),
    umask: () => {
        warnOrThrowIncompatible('process.umask');
        return 0;
    },
    nextTick: () => warnOrThrowIncompatible('process.nextTick')
};
